<script>
import {
  // ruleid: okay-table-vue-component
  GlTable,
  // ruleid: okay-table-vue-component
  GlTableLite,
} from '@gitlab/ui';

export default {
  components: {
    GlTable,
  },
};
</script>

<template>
  <div>
    <!-- ok: table-tag-vue -->
    <gl-table>
      <tr>
        <td>Good table</td>
      </tr>
    </gl-table>

    <!-- ruleid: table-tag-vue -->
    <table>
      <tr>
        <td>Bad table</td>
      </tr>
    </table>

    <!-- ok: table-tag-vue -->
    <table class="code">
      <tr>
        <td>Sort of okay table</td>
      </tr>
    </table>

    <!-- ok: table-tag-vue -->
    <table
      :class="$options.userColorSchemeClass"
      class="code js-syntax-highlight"
      data-testid="outdated-lines"
    >
      <tr v-for="line in lines" v-once :key="line.line_code" class="line_holder">
        <td
          :class="line.type"
          class="line_content gl-display-table-cell! gl-border-0! gl-rounded-0!"
          v-html="line.rich_text /* eslint-disable-line vue/no-v-html */"
        ></td>
      </tr>
    </table>

    <!-- ok: table-tag-vue -->
    <table :class="['diff-wrap-lines code', $options.SYNTAX_HIGHLIGHT_CLASS]">
    </table>

    <!-- ok: table-tag-vue -->
    <table-cell-base cell-type="th" v-bind="$props" />

    <!-- ok: table-tag-vue -->
    <table-of-contents-heading
      v-for="(child, index) in heading.subHeadings"
      :key="index"
      :heading="child"
    />
  </div>
</template>
